FieldGroup< BaseTypeList_T, Dims_T >::SampleMIP Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

template<typename T>
void | operator() (const T &vec) const
| Functor.
| SampleMIP (const V3d &p, const float wsSpotSize, float *result, size_t &numHits)
| Ctor.

## Public Attributes

size_t & | m_numHits
const V3d & | m_p
float * | m_result
const float | m_wsSpotSize

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::SampleMIP

Definition at line 1095 of file FieldGroup.h.

## Constructor & Destructor Documentation

## SampleMIP()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::SampleMIP::SampleMIP | ( | const V3d & | p,
|  | const float | wsSpotSize,
|  | float * | result,
|  | size_t & | numHits )

inline

Ctor.

Definition at line 1098 of file FieldGroup.h.

: m_p(p), m_wsSpotSize(wsSpotSize), m_result(result), m_numHits(numHits)
{ }
FieldGroup::SampleMIP::m_result
float * m_result
Definition FieldGroup.h:1112
FieldGroup::SampleMIP::m_numHits
size_t & m_numHits
Definition FieldGroup.h:1113
FieldGroup::SampleMIP::m_wsSpotSize
const float m_wsSpotSize
Definition FieldGroup.h:1111
FieldGroup::SampleMIP::m_p
const V3d & m_p
Definition FieldGroup.h:1110
FieldGroup
Definition FieldGroup.h:304

References m_numHits, m_p, m_result, and m_wsSpotSize.

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename T>

void FieldGroup< BaseTypeList_T, Dims_T >::SampleMIP::operator() | ( | const T & | vec | ) | const

inline

Functor.

Definition at line 1104 of file FieldGroup.h.

{
FieldSampler<T, Dims_T>::sampleMIP(vec, m_p, m_wsSpotSize, m_result,
m_numHits);
}
FieldSampler::sampleMIP
static void sampleMIP(const WrapperVec_T &f, const V3d &wsP, const float wsSpotSize, float *value, size_t &numHits)
Definition FieldSampler.h:188

References m_numHits, m_p, m_result, m_wsSpotSize, and FieldSampler< WrapperVec_T, Dims_T >::sampleMIP().

## Member Data Documentation

## m_p

template<typename BaseTypeList_T, int Dims_T>

const V3d& FieldGroup< BaseTypeList_T, Dims_T >::SampleMIP::m_p

Definition at line 1110 of file FieldGroup.h.

Referenced by operator()(), and SampleMIP().

## m_wsSpotSize

template<typename BaseTypeList_T, int Dims_T>

const float FieldGroup< BaseTypeList_T, Dims_T >::SampleMIP::m_wsSpotSize

Definition at line 1111 of file FieldGroup.h.

Referenced by operator()(), and SampleMIP().

## m_result

template<typename BaseTypeList_T, int Dims_T>

float* FieldGroup< BaseTypeList_T, Dims_T >::SampleMIP::m_result

Definition at line 1112 of file FieldGroup.h.

Referenced by operator()(), and SampleMIP().

## m_numHits

template<typename BaseTypeList_T, int Dims_T>

size_t& FieldGroup< BaseTypeList_T, Dims_T >::SampleMIP::m_numHits

Definition at line 1113 of file FieldGroup.h.

Referenced by operator()(), and SampleMIP().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h